summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authormayeut <mayeut@users.noreply.github.com>2015-10-10 18:01:43 +0200
committermayeut <mayeut@users.noreply.github.com>2015-10-10 18:01:43 +0200
commita01f7cdee0a4c93fa5ccae7cb03dba7a1d5065ee (patch)
tree7a3ab8a02c16923674fdfad68e2e2f2330b3af14 /tools
parent53d7f70c1591c28a6a0343fd795fbadc6891a0ac (diff)
debug appveyor
Diffstat (limited to 'tools')
-rwxr-xr-xtools/travis-ci/install.sh18
-rwxr-xr-xtools/travis-ci/run.sh2
2 files changed, 17 insertions, 3 deletions
diff --git a/tools/travis-ci/install.sh b/tools/travis-ci/install.sh
index 0e4c2f83..3b122434 100755
--- a/tools/travis-ci/install.sh
+++ b/tools/travis-ci/install.sh
@@ -2,6 +2,20 @@
# This script executes the install step when running under travis-ci
+#if cygwin, check path
+case ${MACHTYPE} in
+ *cygwin*) OPJ_CI_IS_CYGWIN=1;;
+ *) ;;
+esac
+
+if [ "${OPJ_CI_IS_CYGWIN:-}" == "1" ]; then
+ # Hack for appveyor
+ if ! which wget; then
+ # PATH is not yet set up
+ export PATH=$PATH:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin
+ fi
+fi
+
# Set-up some error handling
set -o nounset ## set -u : exit the script if you try to use an uninitialised variable
set -o errexit ## set -e : exit the script if any statement returns a non-true return value
@@ -55,7 +69,7 @@ if [ "${OPJ_CI_SKIP_TESTS:-}" != "1" ]; then
# We need jpylyzer for the test suite
echo "Retrieving jpylyzer"
if [ "${APPVEYOR:-}" == "True" ]; then
- curl -o jpylyzer_1.14.2_win32.zip -L http://dl.bintray.com/openplanets/opf-windows/jpylyzer_1.14.2_win32.zip
+ wget --local-encoding=UTF-8 -q http://dl.bintray.com/openplanets/opf-windows/jpylyzer_1.14.2_win32.zip
mkdir jpylyzer
cd jpylyzer
cmake -E tar -xf ../jpylyzer_1.14.2_win32.zip
@@ -93,7 +107,7 @@ if [ "${OPJ_CI_SKIP_TESTS:-}" != "1" ]; then
install_name_tool -change /usr/local/lib/libkdu_v77R.dylib ${PWD}/libkdu_v77R.dylib kdu_compress
install_name_tool -change /usr/local/lib/libkdu_v77R.dylib ${PWD}/libkdu_v77R.dylib kdu_expand
elif [ "${APPVEYOR:-}" == "True" ]; then
- curl -o KDU77_Demo_Apps_for_Win32_150710.msi_.zip -L http://kakadusoftware.com/wp-content/uploads/2014/06/KDU77_Demo_Apps_for_Win32_150710.msi_.zip
+ wget -q http://kakadusoftware.com/wp-content/uploads/2014/06/KDU77_Demo_Apps_for_Win32_150710.msi_.zip
cmake -E tar -xf KDU77_Demo_Apps_for_Win32_150710.msi_.zip
msiexec /i KDU77_Demo_Apps_for_Win32_150710.msi /quiet /qn /norestart
fi
diff --git a/tools/travis-ci/run.sh b/tools/travis-ci/run.sh
index ba4e6da3..39c210ac 100755
--- a/tools/travis-ci/run.sh
+++ b/tools/travis-ci/run.sh
@@ -174,7 +174,7 @@ echo "
Parsing logs for failures
"
OPJ_CI_RESULT=0
-
+ls -l .
ls -l build
ls -l build/Testing